GET
/
account
/
notification
List notifications
curl --request GET \
  --url https://api.example.com/account/notification \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.example.com/account/notification"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.example.com/account/notification', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "account_id": "<string>",
      "channel": "<string>",
      "content": "<string>",
      "date_created": "<string>",
      "date_scheduled": "<string>",
      "date_sent": "<string>",
      "id": 123,
      "is_read": true,
      "metadata": {},
      "title": "<string>",
      "type": "<string>"
    }
  ],
  "pagination": {
    "cursor": "<string>",
    "limit": 123,
    "next_cursor": "<string>",
    "next_page": 123,
    "page": 123,
    "total": 123
  }
}
{
"data": "<unknown>",
"error": {
"code": "<string>",
"http_status": 123,
"message": "<string>"
}
}

Authorizations

Authorization
string
header
required

JWT access token. Format: "Bearer <token>".

Query Parameters

page
integer

Page number (offset mode)

Required range: x >= 1
limit
integer

Items per page (max 100)

Required range: 1 <= x <= 100
cursor
string

Keyset cursor (cursor mode)

sort
string

Sort, e.g. -date_created

Response

OK

data
object[]
pagination
object